Last Comment Bug 812130 - Increase the account provisioner timeout to greater than the server timeout
: Increase the account provisioner timeout to greater than the server timeout
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Account Manager (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 19.0
Assigned To: Blake Winton (:bwinton) (:☕️)
:
:
Mentors:
Depends on:
Blocks: 812101
  Show dependency treegraph
 
Reported: 2012-11-15 03:28 PST by Mark Banner (:standard8)
Modified: 2012-11-21 01:40 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
18+
fixed


Attachments
Change the timeout to 15 seconds. (1.03 KB, patch)
2012-11-15 08:08 PST, Blake Winton (:bwinton) (:☕️)
mconley: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑esr17+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) 2012-11-15 03:28:04 PST
The account provisioner timeout on individual providers is 10 seconds (run in async mode), but the server timeout is also 10 seconds.

We should increase Thunderbird's timeout slightly, to say 11 seconds, or maybe just 15 to ensure that even in a timeout situation, Thunderbird will still receive and display results for providers that haven't timed out (as realised in bug 812101).
Comment 1 Blake Winton (:bwinton) (:☕️) 2012-11-15 08:08:06 PST
Created attachment 682015 [details] [diff] [review]
Change the timeout to 15 seconds.

Untested, but simple enough that I'm quite confident.
Comment 2 Mike Conley (:mconley) - (needinfo me!) 2012-11-15 08:10:44 PST
Comment on attachment 682015 [details] [diff] [review]
Change the timeout to 15 seconds.

Review of attachment 682015 [details] [diff] [review]:
-----------------------------------------------------------------

This is correct. Thanks Blake!
Comment 3 Mike Conley (:mconley) - (needinfo me!) 2012-11-15 08:27:48 PST
Landed on comm-central as https://hg.mozilla.org/comm-central/rev/a82b990ea07f
Comment 4 Mark Banner (:standard8) 2012-11-15 12:03:20 PST
Comment on attachment 682015 [details] [diff] [review]
Change the timeout to 15 seconds.

[Triage Comment]
Lets get this on aurora as well, as I'd like to make it safer for the next releases as well (and we'll get onto esr once that is up and running).
Comment 5 Mark Banner (:standard8) 2012-11-19 03:27:46 PST
Comment on attachment 682015 [details] [diff] [review]
Change the timeout to 15 seconds.

Landed

https://hg.mozilla.org/releases/comm-aurora/rev/367783b7c4a1

Also flagging for next release.
Comment 6 Mark Banner (:standard8) 2012-11-21 01:40:39 PST
https://hg.mozilla.org/releases/comm-esr17/rev/f174baaad9ff

Note You need to log in before you can comment on or make changes to this bug.